MetalToolBarUI.MetalDockingListener (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalToolBarUI, class: MetalDockingListener
Keywords: javax.swing.plaf.metal.MetalToolBarUI.MetalDockingListener class

# Class MetalToolBarUI.MetalDockingListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.DockingListener
javax.swing.plaf.metal.MetalToolBarUI.MetalDockingListener

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, EventListener, MouseInputListener`

Enclosing class:
  `MetalToolBarUI`

protected class MetalToolBarUI.MetalDockingListener extends BasicToolBarUI.DockingListener
`DockingListener` for `MetalToolBarUI`.

- ## Field Summary

  ### Fields declared in class BasicToolBarUI.DockingListener

  `isDragging, origin, toolBar`
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isDragging`
  `true` if the `JToolBar` is being dragged.
  `protected Point`
  `origin`
  The origin point.
  `protected JToolBar`
  `toolBar`
  The instance of `JToolBar`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalDockingListener(JToolBar t)`
  Constructs the `MetalDockingListener`.

- ## Method Summary

  ### Methods declared in class BasicToolBarUI.DockingListener

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased`
  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(MouseEvent e)`
  Invoked when the mouse button has been clicked (pressed and released) on a component.
  `void`
  `mouseDragged(MouseEvent e)`
  Invoked when a mouse button is pressed on a component and then dragged.
  `void`
  `mouseEntered(MouseEvent e)`
  Invoked when the mouse enters a component.
  `void`
  `mouseExited(MouseEvent e)`
  Invoked when the mouse exits a component.
  `void`
  `mouseMoved(MouseEvent e)`
  Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
  `void`
  `mousePressed(MouseEvent e)`
  Invoked when a mouse button has been pressed on a component.
  `void`
  `mouseReleased(MouseEvent e)`
  Invoked when a mouse button has been released on a component.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MetalDockingListener

    public MetalDockingListener(JToolBar t)
    Constructs the `MetalDockingListener`.
    Parameters:
      `t` - an instance of `JToolBar`